#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
%define		_builddir	%{_topdir}/BUILD_%(basename %{__python})
%define		sname		%(echo %{name}  | cut -d '-' -f2-3)
#-----------------------------------------------------------------------------
Name		:	python3-pytz
Version		:	2022.1
Release		:	16.2.0.rel%{?dist}
Summary		:	The Olson tz database into Python
Group		:	Development/Languages

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://pypi.org/project/pytz

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%(basename %{__python})
BuildRequires	:	python-build
BuildRequires	:	python-flit-core
BuildRequires	:	python-installer
BuildRequires	:	python3-setuptools
BuildRequires	:	python-wheel

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
pytz brings the Olson tz database into Python. This
library allows accurate and cross platform timezone
calculations using Python 2.4 or higher. It also
solves the issue of ambiguous times at the end of
daylight saving time, which you can read more about
in the Python Library Reference (datetime.tzinfo).

Almost all of the Olson timezones are supported.

Note:

This library differs from the documented Python API
for tzinfo implementations; if you want to create local
wallclock times you need to use the localize() method
documented in this document. In addition, if you perform
date arithmetic on local times that cross DST boundaries,
the result may be in an incorrect timezone
(ie. subtract 1 minute from 2002-10-27 1:00 EST and you
get 2002-10-27 0:59 EST instead of the correct 2002-10-27 1:59 EDT).
A normalize() method is provided to correct this. Unfortunately
these issues cannot be resolved without modifying the Python
datetime implementation (see PEP-431).

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc LICENSE.txt README.rst
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/zoneinfo/*
%{python3_sitelib}/%{sname}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\

#-----------------------------------------------------------------------------
%changelog
